import { dialogResize } from './dialogResize'
import { dialogResizeImg } from './dialogResizeImg'
import { dialogResizeStandard } from './dialogResizeStandard'
import { customDialogResizeImg } from './customDialogResizeImg'
import { dragDialog } from './dragDialog'
import { permBtn } from './permBtn'

export function setupDirectives(app: any) {
  app.directive('dialogResize', dialogResize)
  app.directive('dialogResizeImg', dialogResizeImg)
  app.directive('customDialogResizeImg', customDialogResizeImg)
  app.directive('dialogResizeStandard', dialogResizeStandard)
  app.directive('dragDialog', dragDialog)
  app.directive('permBtn', permBtn)
}
